<app-stepper [step_current]="7" [step_max]="pollService.step_max"></app-stepper>
<div class="step min-height step-resume">
	<h1 class="title is-1" id="step_title">
		{{ 'resume.title' | translate }}
	</h1>
	<p class="helper description">
		{{ 'resume.description' | translate }}
	</p>
	<div class="resume">
		<h2 class="title is-5">{{ 'resume.general' | translate }}</h2>
		<div class="block-resume">
			<p class="block-label">
				{{ pollService.form.value.title }}
			</p>
			<p class="no-description" *ngIf="!pollService.form.value.title">
				(pas de titre)
			</p>
			<p class="description">
				{{ pollService.form.value.description }}
				<i *ngIf="!pollService.form.value.description">
					{{ 'resume.no_description' | translate }}
				</i>
			</p>
			<hr />
			<div
				class="go-to-step has-background-icon-left is-filtered-icon-primary has-background-edit"
				[routerLink]="['/administration/step/1']"
			>
				{{ 'resume.edit' | translate }}
			</div>
		</div>
		<h2 class="title is-5">{{ 'resume.kind' | translate }}</h2>
		<div class="block-resume">
			{{ pollService.form.value.isAboutDate ? 'Date' : 'Propositions' }}
			<hr />
			<div
				class="go-to-step has-background-icon-left is-filtered-icon-primary has-background-edit"
				[routerLink]="['/administration/step/2']"
			>
				{{ 'resume.edit' | translate }}
			</div>
		</div>
		<h2 class="title is-5" *ngIf="pollService.form.value.isAboutDate">
			{{ 'resume.dates_and_hours' | translate }}
		</h2>
		<h2 class="title is-5" *ngIf="!pollService.form.value.isAboutDate">{{ 'SENTENCES.Choice' | translate }}</h2>
		<div class="block-resume">
			<div class="list-datechoices" *ngIf="pollService.form.value.isAboutDate">
				<ul *ngFor="let choice of pollService.dateChoiceList">
					<li>
						<strong class="date">
							{{ choice.date_object | date: 'E d/M/yyy':'Europe/Paris' }}
						</strong>
						<ul *ngFor="let timeSlice of choice.timeSlices">
							<li>
								{{ timeSlice.literal }}
							</li>
						</ul>
					</li>
				</ul>
			</div>
			<div class="list-texts" *ngIf="!pollService.form.value.isAboutDate">
				<ul *ngFor="let choice of StorageService.choicesText">
					<li>
						{{ choice.name }}
					</li>
				</ul>
			</div>
			<hr />
			<div
				class="go-to-step has-background-icon-left is-filtered-icon-primary has-background-edit"
				[routerLink]="['/administration/step/3']"
			>
				{{ 'resume.edit' | translate }}
			</div>
		</div>
		<h2 class="title is-5">{{ 'resume.params_notifs' | translate }}</h2>
		<div class="block-resume">
			<p class="password" *ngIf="pollService.form.value.password.length">
				{{ 'SENTENCES.password-protected' | translate }}
			</p>
			<div class="notifs">
				<!--				who modifies answers:-->
				<!--				{{pollService.form.value.whoModifiesAnswers }}-->
				<p class="block-label" *ngIf="pollService.form.value.whoModifiesAnswers === 'self'">
					{{ 'SENTENCES.voters-can-modify-their-own-vote-themselves' | translate }}
				</p>
				<!--				{{"SENTENCES.all-voters-can-modify-any-vote" |translate}}-->
				<!--				{{"SENTENCES.votes-cannot-be-modified" |translate}}-->
				<p class="block-label">
					email on comment:
					{{ pollService.form.value.isOwnerNotifiedByEmailOnNewComment ? 'oui' : 'non' }}
				</p>
				<p class="block-label">
					email on vote:
					{{ pollService.form.value.isOwnerNotifiedByEmailOnNewVote ? 'oui' : 'non' }}
				</p>
			</div>

			<hr />
			<div
				class="go-to-step has-background-icon-left is-filtered-icon-primary has-background-edit"
				[routerLink]="['/administration/step/5']"
			>
				{{ 'resume.edit' | translate }}
			</div>
		</div>
		<h2 class="title is-5">{{ 'resume.owner' | translate }}</h2>
		<div class="block-resume">
			<p class="block-label">
				{{ 'SENTENCES.your-name' | translate }}
			</p>
			<p class="name">
				{{ pollService.form.value.creatorPseudo }}
			</p>

			<p class="block-label">
				{{ 'creation.email' | translate }}
			</p>
			<p class="email">
				{{ pollService.form.value.creatorEmail }}
			</p>
			<hr />
			<div
				class="go-to-step has-background-icon-left is-filtered-icon-primary has-background-edit"
				[routerLink]="['/administration/step/6']"
			>
				{{ 'resume.edit' | translate }}
			</div>
		</div>
	</div>
</div>
<app-nav-steps
	[next_step_number]="pollService.step_current + 1"
	[previous_step_number]="pollService.step_current - 1"
	[is_finish_step]="true"
></app-nav-steps>
